<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__wdt_8h" kind="file" language="C++">
    <compoundname>cyhal_wdt.h</compoundname>
    <includes local="yes" refid="cyhal__hwmgr_8h">cyhal_hwmgr.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__wdt_8c">cyhal_wdt.c</includedby>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__wdt_1gaa1a7998265af245eadda0401bd888fa2" kind="define" prot="public" static="no">
        <name>CY_RSLT_WDT_INVALID_TIMEOUT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a012172915d19c167e1db5ff7e188adba">CYHAL_RSLT_MODULE_WDT</ref>, 0))</initializer>
        <briefdescription>
<para>WDT timeout out of range. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" bodystart="74" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="74" />
      </memberdef>
      <memberdef id="group__group__hal__results__wdt_1ga6ac0fb47d61bc9cfd1597f4547f20ccf" kind="define" prot="public" static="no">
        <name>CY_RSLT_WDT_ALREADY_INITIALIZED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a012172915d19c167e1db5ff7e188adba">CYHAL_RSLT_MODULE_WDT</ref>, 1))</initializer>
        <briefdescription>
<para>WDT already initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" bodystart="77" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="77" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_wdt_init</definition>
        <argsstring>(cyhal_wdt_t *obj, uint32_t timeout_ms)</argsstring>
        <name>cyhal_wdt_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout_ms</declname>
        </param>
        <briefdescription>
<para>Initialize and start the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The specified timeout must be at least 1ms and at most the WDT's maximum timeout (see &lt;a href="group__group__hal__wdt.html#group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f"&gt;cyhal_wdt_get_max_timeout_ms()&lt;/a&gt;).&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a WDT object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="inout">timeout_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>The time in milliseconds before the WDT times out (1ms - max) (see <ref kindref="member" refid="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f">cyhal_wdt_get_max_timeout_ms()</ref>) </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request</para></simplesect>
Returns <ref kindref="member" refid="group__group__result_1gaf58fac450d9fff4472f03ad68f6e546e">CY_RSLT_SUCCESS</ref> if the operation was successfull. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="115" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="80" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="95" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga976a8b0fe8fe66f89311cfca18768b13" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_free</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Free the WDT. </para>        </briefdescription>
        <detaileddescription>
<para>Powers down the WDT. Releases object (obj). After calling this function no other WDT functions should be called except <ref kindref="member" refid="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697">cyhal_wdt_init()</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="123" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="117" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="107" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaeb43bee6a246da3eedfb5d06fbd226de" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_kick</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_kick</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Resets the WDT. </para>        </briefdescription>
        <detaileddescription>
<para>This function must be called periodically to prevent the WDT from timing out and resetting the device.</para><para>See <ref kindref="member" refid="group__group__hal__wdt_1subsection_wdt_snippet1">Snippet 1: Initialize the WDT and kick periodically</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="135" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="125" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="118" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_start</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_start</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Start (enable) the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="143" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="137" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="125" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_wdt_stop</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_stop</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Stop (disable) the WDT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the stop request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="150" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="145" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="132" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1ga84de4fa0ac7dbacb681e82a5df94f6d5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_wdt_get_timeout_ms</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_get_timeout_ms</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Get the WDT timeout. </para>        </briefdescription>
        <detaileddescription>
<para>Gets the configured time, in milliseconds, before the WDT times out.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The time in milliseconds before the WDT times out </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="156" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="152" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="141" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_wdt_get_max_timeout_ms</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_wdt_get_max_timeout_ms</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Gets the maximum WDT timeout in milliseconds. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>The maximum timeout for the WDT </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="161" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="158" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="147" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__wdt_1gae57e067322093d0170563c9609890f7c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool cyhal_wdt_is_enabled</definition>
        <argsstring>(cyhal_wdt_t *obj)</argsstring>
        <name>cyhal_wdt_is_enabled</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Check if WDT is enabled. </para>        </briefdescription>
        <detaileddescription>
<para>This will return true after <ref kindref="member" refid="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260">cyhal_wdt_start</ref> is called. It will return false before the WDT is started, or after <ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref> is called.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The WDT object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of WDT is_enabled request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_wdt.c" bodystart="163" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" line="155" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Watchdog Timer. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2019-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hwmgr.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="61"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="64"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="preprocessor">#define<sp />CY_RSLT_WDT_INVALID_TIMEOUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="75"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_WDT,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="preprocessor">#define<sp />CY_RSLT_WDT_ALREADY_INITIALIZED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_WDT,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__wdt_1ga4f2a8a684b8a76b92b9417637bb55697">cyhal_wdt_init</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj,<sp />uint32_t<sp />timeout_ms);</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1ga976a8b0fe8fe66f89311cfca18768b13">cyhal_wdt_free</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="108"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gaeb43bee6a246da3eedfb5d06fbd226de">cyhal_wdt_kick</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gaae8da9770e8e061c341bf9f604b91260">cyhal_wdt_start</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gac4a8ed58907508cc2ebf9a29c2d86f39">cyhal_wdt_stop</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="133"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__wdt_1ga84de4fa0ac7dbacb681e82a5df94f6d5">cyhal_wdt_get_timeout_ms</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__wdt_1gaf121c3f36d38b275c1887b8fddf96a3f">cyhal_wdt_get_max_timeout_ms</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__wdt_1gae57e067322093d0170563c9609890f7c">cyhal_wdt_is_enabled</ref>(<ref kindref="compound" refid="structcyhal__wdt__t">cyhal_wdt_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal">}</highlight></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_WDT_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_WDT_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_WDT_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_wdt.h" />
  </compounddef>
</doxygen>